org.apache.http.config

## Class ConnectionConfig.Builder

- java.lang.Object
- - org.apache.http.config.ConnectionConfig.Builder

- Enclosing class:
    ConnectionConfig

      public static class ConnectionConfig.Builder
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConnectionConfig` | `build()`
    `ConnectionConfig.Builder` | `setBufferSize(int bufferSize)`
    `ConnectionConfig.Builder` | `setCharset(Charset charset)`
    `ConnectionConfig.Builder` | `setFragmentSizeHint(int fragmentSizeHint)`
    `ConnectionConfig.Builder` | `setMalformedInputAction(CodingErrorAction malformedInputAction)`
    `ConnectionConfig.Builder` | `setMessageConstraints(MessageConstraints messageConstraints)`
    `ConnectionConfig.Builder` | `setUnmappableInputAction(CodingErrorAction unmappableInputAction)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setBufferSize

          public ConnectionConfig.Builder setBufferSize(int bufferSize)

    - #### setFragmentSizeHint

          public ConnectionConfig.Builder setFragmentSizeHint(int fragmentSizeHint)

    - #### setCharset

          public ConnectionConfig.Builder setCharset(Charset charset)

    - #### setMalformedInputAction

          public ConnectionConfig.Builder setMalformedInputAction(CodingErrorAction malformedInputAction)

    - #### setUnmappableInputAction

          public ConnectionConfig.Builder setUnmappableInputAction(CodingErrorAction unmappableInputAction)

    - #### setMessageConstraints

          public ConnectionConfig.Builder setMessageConstraints(MessageConstraints messageConstraints)

    - #### build

          public ConnectionConfig build()

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.